- [HTTP request](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.legacyPlaybooks/legacyGetWorkflowInstanceSummary#body.HTTP_TEMPLATE)
- [Path parameters](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.legacyPlaybooks/legacyGetWorkflowInstanceSummary#body.PATH_PARAMETERS)
- [Request body](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.legacyPlaybooks/legacyGetWorkflowInstanceSummary#body.request_body)
  - [JSON representation](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.legacyPlaybooks/legacyGetWorkflowInstanceSummary#body.request_body.SCHEMA_REPRESENTATION)
- [Response body](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.legacyPlaybooks/legacyGetWorkflowInstanceSummary#body.response_body)
  - [JSON representation](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.legacyPlaybooks/legacyGetWorkflowInstanceSummary#body.ApiWorkflowInstanceSummary.SCHEMA_REPRESENTATION)
- [Authorization scopes](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.legacyPlaybooks/legacyGetWorkflowInstanceSummary#body.aspect)
- [IAM Permissions](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.legacyPlaybooks/legacyGetWorkflowInstanceSummary#body.aspect_1)
- [ApiWorkflowInstanceSummaryIntegrationInfo](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.legacyPlaybooks/legacyGetWorkflowInstanceSummary#ApiWorkflowInstanceSummaryIntegrationInfo)
  - [JSON representation](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.legacyPlaybooks/legacyGetWorkflowInstanceSummary#ApiWorkflowInstanceSummaryIntegrationInfo.SCHEMA_REPRESENTATION)

**Full name**: projects.locations.instances.legacyPlaybooks.legacyGetWorkflowInstanceSummary

Returns a high-level summary of an executed playbook instance. Use this method to quickly assess the overall outcome and key findings of a playbook for a specific alert.

### HTTP request

`POST https://{endpoint}/v1alpha/{instance}/legacyPlaybooks:legacyGetWorkflowInstanceSummary`

Where `{endpoint}` is one of the [supported service endpoints](https://docs.cloud.google.com/chronicle/docs/reference/rest#rest_endpoints).

### Path parameters

| Parameters ||
|---|---|
| `instance` | `string` Required. The instance to get the workflow instance summary for. Format: projects/{project}/locations/{location}/instances/{instance} |

### Request body

The request body contains data with the following structure:

| JSON representation |
|---|
| ``` { "caseId": string, "alertIdentifier": string, "definitionIdentifier": string, "nestedStepIdentifier": string, "parentWorkflowInstanceId": string, "loopsRequestedIterations": [ { object (`https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/ApiLoopIterationRequest`) } ], "parentWorkflowLoopIteration": integer, "shouldFetchSteps": boolean, "collapseBlocks": boolean } ``` |

| Fields ||
|---|---|
| `caseId` | `string (https://developers.google.com/discovery/v1/type-format format)` Required. The case id. |
| `alertIdentifier` | `string` Optional. The alert identifier. |
| `definitionIdentifier` | `string` Required. The definition identifier. |
| `nestedStepIdentifier` | `string` Optional. The nested step identifier. |
| `parentWorkflowInstanceId` | `string (https://developers.google.com/discovery/v1/type-format format)` Optional. The parent workflow instance id. |
| `loopsRequestedIterations[]` | ``object (`https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/ApiLoopIterationRequest`)`` Optional. The loops requested iterations. |
| `parentWorkflowLoopIteration` | `integer` Optional. The parent workflow loop iteration. |
| `shouldFetchSteps` | `boolean` Optional. Indicates if the steps should be fetched. |
| `collapseBlocks` | `boolean` Optional. Indicates if the blocks should be collapsed. |

### Response body

ApiWorkflowInstanceSummary represents a workflow instance summary.

If successful, the response body contains data with the following structure:

| JSON representation |
|---|
| ``` { "usedIntegrations": [ { object (`https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.legacyPlaybooks/legacyGetWorkflowInstanceSummary#ApiWorkflowInstanceSummaryIntegrationInfo`) } ], "completedSteps": [ { object (`https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/ApiWorkflowStepInstanceDataModel`) } ], "faultedSteps": [ { object (`https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/ApiWorkflowStepInstanceDataModel`) } ], "userActionRequiredStep": { object (`https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/ApiWorkflowStepInstanceDataModel`) }, "executionTimeInMs": string, "totalPendingActionSteps": integer, "retryPendingSteps": [ { object (`https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/ApiWorkflowStepInstanceDataModel`) } ] } ``` |

| Fields ||
|---|---|
| `usedIntegrations[]` | ``object (`https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.legacyPlaybooks/legacyGetWorkflowInstanceSummary#ApiWorkflowInstanceSummaryIntegrationInfo`)`` Optional. UsedIntegrations is a list of used integrations. |
| `completedSteps[]` | ``object (`https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/ApiWorkflowStepInstanceDataModel`)`` Optional. CompletedSteps is a list of completed steps. |
| `faultedSteps[]` | ``object (`https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/ApiWorkflowStepInstanceDataModel`)`` Optional. FaultedSteps is a list of faulted steps. |
| `userActionRequiredStep` | ``object (`https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/ApiWorkflowStepInstanceDataModel`)`` Optional. UserActionRequiredStep is the step that requires user action. |
| `executionTimeInMs` | `string (https://developers.google.com/discovery/v1/type-format format)` Required. ExecutionTimeInMs is the execution time of the workflow in milliseconds. |
| `totalPendingActionSteps` | `integer` Required. TotalPendingActionSteps is the total number of steps that are pending for user action. |
| `retryPendingSteps[]` | ``object (`https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/ApiWorkflowStepInstanceDataModel`)`` Optional. RetryPendingSteps is a list of retry pending steps. |

### Authorization scopes

Requires one of the following OAuth scopes:

- `https://www.googleapis.com/auth/cloud-platform`
- `
  https://www.googleapis.com/auth/chronicle`

For more information, see the [Authentication Overview](https://docs.cloud.google.com/docs/authentication#authorization-gcp).

### IAM Permissions

Requires the following [IAM](https://cloud.google.com/iam/docs) permission on the `instance` resource:

- `chronicle.legacyPlaybooks.get`

For more information, see the [IAM documentation](https://cloud.google.com/iam/docs).

## ApiWorkflowInstanceSummaryIntegrationInfo

ApiWorkflowInstanceSummaryIntegrationInfo represents a used integration information.

| JSON representation |
|---|
| ``` { "identifier": string } ``` |

| Fields ||
|---|---|
| `identifier` | `string` Required. Identifier is the identifier of the integration. |